Home / API Documentation / Operations center / Senders / View the list of notification senders

View the list of notification senders

Requests

HTTP request

GET /api/v1/namespaces/{namespace}/secrets

list NotificationSender

Path parameters

Name Type Required Description
namespace string Trueobject name and auth scope, such as for teams and projects

Query parameters

Name Type Required Description
fieldSelector string FalseA selector to restrict the list of returned objects by their fields. Defaults to everything. Add a fixed fieldSelector(type=NotificationSender) when listing NotifcationSender, otherwise return all secrets.
labelSelector string FalseA selector to restrict the list of returned objects by their labels. Defaults to everything. There are three different types for NotificationSender, distinguished by a label ("cpaas.io/type", "cpaas.io" is base domain, according to the circumstances), email/sms/webhook supportd. For example, add a lablelSelector ("cpaas.io/type=email") when list NotificationSender whose type is email.

Responses

Content-Type application/json, application/yaml, application/vnd.kubernetes.protobuf, application/json;stream=watch, application/vnd.kubernetes.protobuf;stream=watch

Status code: 200

OK

Sample response

SecretList is a list of Secret.

{
   "apiVersion": "v1",
   "items": [
     {
       "data": {
         "User-Agent": "QWxhdWRhL0NvdXJpZXI="
       },
       "metadata": {
         "annotations": {
           "sync-mutable": ""
         },
         "creationTimestamp": "2021-06-03T07:40:40Z",
         "labels": {
           "cpaas.io/type": "webhook",
           "cpaas.io/unique-name": "f54a41f84e0cacdaf7bb0d32b0a645b8",
           "helm.sh/chart-name": "alauda-aiops",
           "helm.sh/chart-version": "v3.5.0-alpha.84",
           "helm.sh/release-name": "alauda-aiops",
           "helm.sh/release-namespace": "cpaas-system"
         },
         "managedFields": [
           {
             "apiVersion": "v1",
             "fieldsType": "FieldsV1",
             "fieldsV1": {
               "f:data": {
                 ".": {},
                 "f:User-Agent": {}
               },
               "f:metadata": {
                 "f:annotations": {
                   ".": {},
                   "f:sync-mutable": {}
                 },
                 "f:labels": {
                   ".": {},
                   "f:cpaas.io/type": {},
                   "f:cpaas.io/unique-name": {},
                   "f:helm.sh/chart-name": {},
                   "f:helm.sh/chart-version": {},
                   "f:helm.sh/release-name": {},
                   "f:helm.sh/release-namespace": {}
                 }
               },
               "f:type": {}
             },
             "manager": "Go-http-client",
             "operation": "Update",
             "time": "2021-06-03T07:40:40Z"
           }
         ],
         "name": "default-webhook-sender",
         "namespace": "cpaas-system",
         "resourceVersion": "14021",
         "selfLink": "/api/v1/namespaces/cpaas-system/secrets/default-webhook-sender",
         "uid": "e61c7a27-c09e-4d28-8e90-439304cd62fb"
       },
       "type": "NotificationSender"
     }
   ],
   "kind": "SecretList",
   "metadata": {
     "resourceVersion": "35585000",
     "selfLink": "/api/v1/namespaces/cpaas-system/secrets"
   }
 }

Parameters

Name Type Description
apiVersion string See common parameters
items array Items is a list of secret objects. More info: https://kubernetes.io/docs/concepts/configuration/secret
Path: items
items[] object Secret holds secret data of a certain type. The total bytes of the values in the Data field must be less than MaxSecretSize bytes.
Path: items[]
items[].data object Data contains the secret data. Each key must consist of alphanumeric characters, '-', '_' or '.'. The serialized form of the secret data is a base64 encoded string, representing the arbitrary (possibly non-string) data value here. Described in https://tools.ietf.org/html/rfc4648#section-4
Path: items[].data
items[].metadata object See common parameters
items[].type string Used to facilitate programmatic handling of secret data.
Path: items[].type
kind string See common parameters
metadata object See common parameters

Other status codes

Status code: 401

Unauthorized